@import "@/styles/variables";

.frame-wrapper {
    grid-area: iconframe;
    line-height: 13px;
    height: fit-content;
    background: linear-gradient(224.93deg, rgb(150 170 183 / 5%) -0.12%, rgb(114 136 150 / 5%) 100%);
    border: 1px solid rgb(0 51 102 / 20%);
    border-radius: 4px;
    padding: 1.5rem;

    p {
        padding-bottom: 16px;
        font-weight: 700;
        font-size: 14px;
        line-height: 20px;
        color: $black;
    }

    p:last-child {
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
        color: $gray-dark;
        padding-bottom: 0;
    }

    h2 {
        padding-top: 24px;
        padding-bottom: 3px;
        font-weight: 600;
    }

    .icon-box {
        min-width: 230px;
        width: 100%;
        aspect-ratio: 1.43;
        max-height: 180px;
        display: flex;
        align-items: flex-start;
        justify-content: center;
        position: relative;

        img {
            object-fit: contain;
            object-position: left;
        }
    }
}
